Available in Classic and VPC
View the history of API deployments to a specified stage.Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | /api/v1/products/{product-id}/apis/{api-id}/stages/{stage-id}/deployments |
Request headers
For information about the headers common to all API Gateway APIs, see API Gateway request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
product-id |
String | Required | Product ID that the stage belongs to
|
api-id |
String | Required | ID of the API that the stage belongs to
|
stage-id |
String | Required | ID of the stage to view deployment history for
|
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
offset |
Long | Optional | Starting point of the response data
|
limit |
Long | Optional | Maximum number of response data
|
Request example
The following is a sample request.
curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/products/***ksk9***/apis/***51hs***/stages/***5ei7***/deployments' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
The following describes the response format.
Response syntax
The response syntax is as follows.
{
"total" : 1,
"content" : [ {
"deployedTime" : "2000-01-23T04:56:07.000+00:00",
"deploymentDescription" : "deploymentDescription",
"stageDeploymentNo" : 0,
"documentJson" : "documentJson",
"stageId" : "stageId"
} ],
"defaultDeploymentNo" : 6
}
Response status codes
For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.
Response example
The following is a sample response.
{
"content": [
{
"stageDeploymentNo": 251***,
"deploymentDescription": "",
"stageId": "***5ei7***",
"deployedTime": "2024-05-08T02:38:43Z"
},
// (Omitted)
],
"total": 9,
"defaultDeploymentNo": 251***
}